RZ_AR(1)

NAME
rz-ar - List and extract members from .a and .lib archives

SYNOPSIS
rz-ar [-hlqv] [-o outdir] archive [member ...]

DESCRIPTION
This command is part of the Rizin project.

rz-ar lists or extracts archive members from.a and .lib files. It creates missing directories in the output path automatically.

When no member filters are provided, all members are processed. When one or more member arguments are provided, only matching members are processed.

The options are:

-h  Show usage help message.

-l  List matching members only.

-o outdir
    Set extraction output directory (default: current directory).

-q  Quiet mode.

-v  Show version information.

EXIT STATUS

0   Operation completed successfully.

1   Invalid arguments, open failure, no matches, or extraction failures.

EXAMPLES
List all members:

    rz-ar -l libfoo.a

Extract all members into current directory:

    rz-ar libfoo.a

Extract selected members into output directory:

    rz-ar -o out libfoo.a foo.o bar.o

SEE ALSO
rizin(1), rz-bin(1), rz-hash(1)